package mysqlite

import (
	"embed"
	"github.com/stretchr/testify/require"
	"testing"
)

//go:embed testMigrations/*.sql
var migrations embed.FS

func TestDb_MigrateDb(t *testing.T) {
	db := openEmptyTestDb(t)
	err := db.MigrateDb(migrations, "testMigrations")
	require.NoError(t, err)

	var count int
	db.Query("select count(*) from mydata").MustScanSingle(&count)
	require.Equal(t, 1, count, "incorrect number of rows in database")

	count = 0
	db.Query("select count(*) from multiTable").MustScanSingle(&count)
	require.Equal(t, 1, count, "incorrect number of rows in database")
}
